package com.ruoyi.ehsIndexStatistics.mapper;

import com.ruoyi.ehsIndexStatistics.vo.EhsIndexStatistics;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerRankVo;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerStatisticsVo;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EhsIndexStatisticsMapper {

    EhsIndexStatistics getEhsIndexStatistics(@Param("deptId") Long deptId);
    EhsIndexStatistics getSuperviseAndHandle(@Param("deptId") Long deptId);
    List<EhsIndexStatistics> getEhsIndexStatisticsList(@Param("deptId") Long deptId);

    List<HiddenDangerVo> getHiddenDangerVoList(@Param("vo") HiddenDangerVo vo);

    List<HiddenDangerStatisticsVo> getHiddenDangerSituationList();
    List<HiddenDangerStatisticsVo> getHiddenDangerSituationByEnterpriseNameList();
    List<HiddenDangerRankVo> getHiddenDangerRankVoList();
    List<HiddenDangerRankVo> getHiddenDangerRankVoByDeptIdList();
    List<Map<String,Object>> getEnterpriseMapList(@Param("deptId") Long deptId);
    List<Map<String,Object>> geteconomicTypeMapList(@Param("deptId") Long deptId);
    List<Map<String,Object>> getenterpriseScaleMapList(@Param("deptId") Long deptId);
    List<Map<String,Object>> getHiddenDangerTypeMapList(@Param("deptId") Long deptId);
    List<Map<String,Object>> getHiddenDangerDataMapList(@Param("yearStr") String yearStr,@Param("deptId") Long deptId);
}
